Updates the global wallet access control configuration for the specified environment.
curl --request PUT \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/globalWallet/accessControl \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "allow"
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
"type": "allow",
"enabledAt": "2023-11-07T05:31:56Z",
"domains": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"domain": "http://*.example.com",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Fields necessary to update the global wallet access control
allow, block Global wallet access control was updated successfully
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
allow, block ISO 8601 timestamp of when domain access control was enabled, or null if disabled
List of domain objects in the access control list
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/globalWallet/accessControl \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "allow"
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
"type": "allow",
"enabledAt": "2023-11-07T05:31:56Z",
"domains": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"domain": "http://*.example.com",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}